com.trendmicro.ds.platform.rest.object.mt.tenanttemplate

## Class TenantTemplateElement

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.mt.tenanttemplate.TenantTemplateElement

-     public class TenantTemplateElement
      extends java.lang.Object

  A structure containing information about the Tenant Template if one has been created.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TenantTemplateElement()`
    `TenantTemplateElement(java.lang.Integer tenantId, java.lang.String tenantName, java.util.Date dateCreated)` Constructor used for setting all fields at once.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getDateCreated()` Return the date at which the template was created, or null if there is no template.
    `java.lang.Integer` | `getTenantId()` Return the ID of the tenant the template is based on, or null if there is no template or the tenant ID cannot be determined, for example if the tenant has been deleted.
    `java.lang.String` | `getTenantName()` Return the name of the tenant the template is based on, or null if there is no template.
    `void` | `setDateCreated(java.util.Date dateCreated)`
    `void` | `setTenantId(java.lang.Integer tenantId)`
    `void` | `setTenantName(java.lang.String tenantName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TenantTemplateElement

          public TenantTemplateElement()

    - #### TenantTemplateElement

          public TenantTemplateElement(java.lang.Integer tenantId,
                                       java.lang.String tenantName,
                                       java.util.Date dateCreated)

      Constructor used for setting all fields at once.
      Parameters:
        `tenantId` -
        `tenantName` -
        `dateCreated` -

  - ### Method Detail

    - #### getTenantId

          public java.lang.Integer getTenantId()

      Return the ID of the tenant the template is based on, or null if there is no template or the tenant ID cannot be determined, for example if the tenant has been deleted.

    - #### setTenantId

          public void setTenantId(java.lang.Integer tenantId)

    - #### getTenantName

          public java.lang.String getTenantName()

      Return the name of the tenant the template is based on, or null if there is no template.

    - #### setTenantName

          public void setTenantName(java.lang.String tenantName)

    - #### getDateCreated

          public java.util.Date getDateCreated()

      Return the date at which the template was created, or null if there is no template.

    - #### setDateCreated

          public void setDateCreated(java.util.Date dateCreated)

Copyright © 2015 Trend Micro Inc. All Rights Reserved.